Bug 235544 - audio/musescore: Update to minor version 3.0.2
Summary: audio/musescore: Update to minor version 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-05 23:46 UTC by kunda
Modified: 2019-02-11 11:25 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (adridg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Adriaan de Groot freebsd_committer 2019-02-06 21:57:31 UTC
Now debugging things with non-default options (in particular, WebEngine seems less optional than I would like).
Comment 2 commit-hook freebsd_committer 2019-02-11 11:24:34 UTC
A commit references this bug:

Author: adridg
Date: Mon Feb 11 11:23:47 UTC 2019
New revision: 492687
URL: https://svnweb.freebsd.org/changeset/ports/492687

Log:
  Update audio/musescore to 3.0.2 (latest release).

  We missed 3.0.1, so the two changelogs are:
  	https://musescore.org/en/handbook/developers-handbook/release-notes/release-notes-musescore-301-january-15-2019
  	https://musescore.org/en/handbook/developers-handbook/release-notes/release-notes-musescore-302-january-29-2019
  I don't know enough about the application's internals to summarize them
  here; mostly looks like "lots of bugfixes, please upgrade."

  In the port itself:
   - dropped option OCR, it's always disabled in source anyway.
   - wrestled with option WEBENGINE. It needs to be defined, so that
     the correct CMake flag is switched OFF automatically. But it should
     not be visible or selectable except on architectures where it makes
     sense. OPTIONS_DEFINE_amd64 would add it where needed, but then it's
     not defined for architectures where it needs to be off. OPTIONS_EXCLUDE
     requires me to list all the architectures it's *not* supported on,
     which seems like a bit much. Therefore, leaving the option available,
     but off, as a booby-trap for people trying non-default options and
     wanting WebEngine on (e.g.) PPC.

  PR:		235544
  Reported by:	chitty_cloud@me.com

Changes:
  head/audio/musescore/Makefile
  head/audio/musescore/distinfo
  head/audio/musescore/files/patch-git_bb0c1a9b
  head/audio/musescore/pkg-plist